Author Topic: ./bootstrap problem  (Read 213 times)

Offline ordak

  • Multiple posting newcomer
  • *
  • Posts: 61
./bootstrap problem
« on: July 20, 2018, 06:52:04 am »
Hi,

I want to bootstrap Code::Blocks 11428 . It says :

Code: [Select]
Found revision: '0' ''
./bootstrap: 66: ./bootstrap: libtoolize: not found

Should I do this according to Internet or something else :

Code: [Select]
sudo apt install libtool

Offline oBFusCATed

  • Developer
  • Lives here!
  • *****
  • Posts: 10967
    • Travis build status
Re: ./bootstrap problem
« Reply #1 on: July 20, 2018, 07:52:16 am »
There is the build-essential meta package. Do you have it installed?
(most of the time I ignore long posts)
[strangers don't send me private messages, I'll ignore them; post a topic in the forum, but first read the rules!]

Offline ordak

  • Multiple posting newcomer
  • *
  • Posts: 61
Re: ./bootstrap problem
« Reply #2 on: July 20, 2018, 08:07:33 am »
There is the build-essential meta package. Do you have it installed?

Code: [Select]
mehdi@mehdi-X556UQK:~$ dpkg -l build-essential
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name           Version      Architecture Description
+++-==============-============-============-=================================
ii  build-essentia 12.4ubuntu1  amd64        Informational list of build-essen

If I have to reinstall it, how to ?

Offline oBFusCATed

  • Developer
  • Lives here!
  • *****
  • Posts: 10967
    • Travis build status
Re: ./bootstrap problem
« Reply #3 on: July 20, 2018, 08:16:42 am »
Ask on ubuntu supporting forum, I don't use it, so I can't help. :(
(most of the time I ignore long posts)
[strangers don't send me private messages, I'll ignore them; post a topic in the forum, but first read the rules!]

Offline ordak

  • Multiple posting newcomer
  • *
  • Posts: 61
Re: ./bootstrap problem
« Reply #4 on: July 20, 2018, 08:44:15 am »
Ask on ubuntu supporting forum, I don't use it, so I can't help. :(

I reinstalled build-essential, got same first post error. libtool is not installed yet.

Offline stahta01

  • Lives here!
  • ****
  • Posts: 6280
    • My Best Post
Re: ./bootstrap problem
« Reply #5 on: July 20, 2018, 12:10:43 pm »
Ask on ubuntu supporting forum, I don't use it, so I can't help. :(

I reinstalled build-essential, got same first post error. libtool is not installed yet.

I would install the libtool package.

Tim S.
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Testing, compiling CB Trunk against wxWidgets 3.0.2.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org